tvbrowser.core

## Interface TvDataBaseListener

-     public interface TvDataBaseListener

  A listener that listens for TV data events
  Author:
    Til Schneider, www.murfman.de

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dayProgramAdded(ChannelDayProgram prog)` Is called when a day program has been added to the TV data base.
    `void` | `dayProgramAdded(MutableChannelDayProgram prog)` Is called when a day program has been added to the TV data base but not has been saved, so changes are currently possible.
    `void` | `dayProgramDeleted(ChannelDayProgram prog)` Is called when a day program has been deleted from the TV data base.
    `void` | `dayProgramTouched(ChannelDayProgram removedDayProgram, ChannelDayProgram addedDayProgram)` Is called if something was done with the day program.

- - ### Method Detail

    - #### dayProgramAdded

          void dayProgramAdded(MutableChannelDayProgram prog)

      Is called when a day program has been added to the TV data base but not has been saved, so changes are currently possible. Use this if your plugin wants to change/add some data.

      ATTENTION: Don't use it to mark or do something other than data changing to the program.

      Parameters:
        `prog` - The added day program.
      Since:
        2.7

    - #### dayProgramAdded

          void dayProgramAdded(ChannelDayProgram prog)

      Is called when a day program has been added to the TV data base. Use this if you want to mark programs or something else than data chaging.

      ATTENTION: If you change data of programs in here the changes wont be kept because they will not be saved.

      Parameters:
        `prog` - The added day program.

    - #### dayProgramDeleted

          void dayProgramDeleted(ChannelDayProgram prog)

      Is called when a day program has been deleted from the TV data base.
      Parameters:
        `prog` - The deleted day program.

    - #### dayProgramTouched

          void dayProgramTouched(ChannelDayProgram removedDayProgram,
                               ChannelDayProgram addedDayProgram)

      Is called if something was done with the day program. Maybe it was removed, added or changed. What actually happend depends on the given parameter. This method is handy if you want to use threads for the handling of the day program changes and have to keep the order of the processing of removed and added programs.

      Parameters:
        `removedDayProgram` - The day program that was removed. If it's `null` that means it didn't exist a day program for the day and channel before (or short a new day program was added).
        `addedDayProgram` - The day program that was added. If it's `null` that means the day program was deleted if the removedDayProgram is not `null`.

      Since:
        2.7.3

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)